osgPresentation::ActiveOperators Class Reference

`#include <SlideEventHandler>`

## Public Types

typedef std::set< osg::ref_ptr< ObjectOperator >, dereference_less > | OperatorList

## Public Member Functions

| ActiveOperators ()
| ~ActiveOperators ()
void | collect (osg::Node *incomingNode, osg::NodeVisitor::TraversalMode tm=osg::NodeVisitor::TRAVERSE_ACTIVE_CHILDREN)
void | process (SlideEventHandler *seh)
void | frame (SlideEventHandler *)
void | setPause (SlideEventHandler *seh, bool pause)
bool | getPause () const
void | reset (SlideEventHandler *seh)

## Protected Member Functions

void | processOutgoing (SlideEventHandler *seh)
void | processIncoming (SlideEventHandler *seh)
void | processMaintained (SlideEventHandler *seh)

## Protected Attributes

bool | _pause
OperatorList | _previous
OperatorList | _current
OperatorList | _outgoing
OperatorList | _incoming
OperatorList | _maintained

## Member Typedef Documentation

## OperatorList

typedef std::set< osg::ref_ptr<ObjectOperator>, dereference_less > osgPresentation::ActiveOperators::OperatorList

## Constructor & Destructor Documentation

## ActiveOperators()

osgPresentation::ActiveOperators::ActiveOperators | ( |  | ) |

## ~ActiveOperators()

osgPresentation::ActiveOperators::~ActiveOperators | ( |  | ) |

## Member Function Documentation

## collect()

void osgPresentation::ActiveOperators::collect | ( | osg::Node * | incomingNode,
|  | osg::NodeVisitor::TraversalMode | tm = osg::NodeVisitor::TRAVERSE_ACTIVE_CHILDREN )

References osg::NodeVisitor::TRAVERSE_ACTIVE_CHILDREN.

## frame()

void osgPresentation::ActiveOperators::frame | ( | SlideEventHandler * |  | ) |

## getPause()

bool osgPresentation::ActiveOperators::getPause | ( |  | ) | const

inline

References _pause.

## process()

void osgPresentation::ActiveOperators::process | ( | SlideEventHandler * | seh | ) |

## processIncoming()

void osgPresentation::ActiveOperators::processIncoming | ( | SlideEventHandler * | seh | ) |

protected

## processMaintained()

void osgPresentation::ActiveOperators::processMaintained | ( | SlideEventHandler * | seh | ) |

protected

## processOutgoing()

void osgPresentation::ActiveOperators::processOutgoing | ( | SlideEventHandler * | seh | ) |

protected

## reset()

void osgPresentation::ActiveOperators::reset | ( | SlideEventHandler * | seh | ) |

## setPause()

void osgPresentation::ActiveOperators::setPause | ( | SlideEventHandler * | seh,
|  | bool | pause )

## Member Data Documentation

## _current

OperatorList osgPresentation::ActiveOperators::_current

protected

## _incoming

OperatorList osgPresentation::ActiveOperators::_incoming

protected

## _maintained

OperatorList osgPresentation::ActiveOperators::_maintained

protected

## _outgoing

OperatorList osgPresentation::ActiveOperators::_outgoing

protected

## _pause

bool osgPresentation::ActiveOperators::_pause

protected

Referenced by getPause().

## _previous

OperatorList osgPresentation::ActiveOperators::_previous

protected

The documentation for this class was generated from the following file:

- SlideEventHandler